r7860 - in /trunk/libquota-perl/debian: changelog repack.sh watch

dmn at users.alioth.debian.org dmn at users.alioth.debian.org
Sat Sep 22 11:29:50 UTC 2007


Author: dmn
Date: Sat Sep 22 11:29:50 2007
New Revision: 7860

URL: http://svn.debian.org/wsvn/?sc=1&rev=7860
Log:
* debian/watch linked to debian/repack.sh to automate repackaging

Added:
    trunk/libquota-perl/debian/repack.sh   (with props)
Modified:
    trunk/libquota-perl/debian/changelog
    trunk/libquota-perl/debian/watch

Modified: trunk/libquota-perl/debian/changelog
URL: http://svn.debian.org/wsvn/trunk/libquota-perl/debian/changelog?rev=7860&op=diff
==============================================================================
--- trunk/libquota-perl/debian/changelog (original)
+++ trunk/libquota-perl/debian/changelog Sat Sep 22 11:29:50 2007
@@ -15,8 +15,9 @@
   * debian/copyright updated: copyrights holder's
     info from other piece of code in the package
   * debian/watch added
+  * debian/watch linked to debian/repack.sh to automate repackaging
 
- -- Rene Mayorga <rmayorga at debian.org.sv>  Sun, 29 Jul 2007 22:34:36 -0600
+ -- Damyan Ivanov <dmn at debian.org>  Sat, 22 Sep 2007 14:28:51 +0300
 
 libquota-perl (1.4.9-3) unstable; urgency=low
 

Added: trunk/libquota-perl/debian/repack.sh
URL: http://svn.debian.org/wsvn/trunk/libquota-perl/debian/repack.sh?rev=7860&op=file
==============================================================================
--- trunk/libquota-perl/debian/repack.sh (added)
+++ trunk/libquota-perl/debian/repack.sh Sat Sep 22 11:29:50 2007
@@ -1,0 +1,28 @@
+#!/bin/sh
+# Repackage upstream source to exclude non-distributable files
+# should be called as "repack sh --upstream-source <ver> <downloaded file>
+
+set -e
+set -u
+
+FILE=$3
+
+printf "\nRepackaging $FILE\n"
+
+DIR=`mktemp -d ./tmpRepackXXXXXX`
+trap "rm -rf $DIR" QUIT INT EXIT
+
+tar xzf $FILE -C $DIR
+
+REPACK=`basename $FILE`
+
+UP_DIR=`ls -1 $DIR`
+(
+    cd $DIR
+    rm -v $UP_DIR/vxquotactl.c
+    mv $UP_DIR $UP_DIR.orig
+    tar -czf $REPACK $UP_DIR.orig
+)
+mv $DIR/$REPACK $FILE
+
+echo "*** $FILE repackaged"

Propchange: trunk/libquota-perl/debian/repack.sh
------------------------------------------------------------------------------
    svn:executable = *

Modified: trunk/libquota-perl/debian/watch
URL: http://svn.debian.org/wsvn/trunk/libquota-perl/debian/watch?rev=7860&op=diff
==============================================================================
--- trunk/libquota-perl/debian/watch (original)
+++ trunk/libquota-perl/debian/watch Sat Sep 22 11:29:50 2007
@@ -1,3 +1,3 @@
 version=3
-opts=dversionmangle=s/\+dfsg$// \
-http://backpan.cpan.org/modules/by-module/Quota/Quota-([\d\.]+)\.tar\.gz
+opts="uversionmangle=s/(?=$)/+dfsg/" \
+http://backpan.cpan.org/modules/by-module/Quota/Quota-([\d\.]+)\.tar\.gz debian debian/repack.sh




More information about the Pkg-perl-cvs-commits mailing list